%define upstream_name    File-ReadBackwards
%define upstream_version 1.06

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Perl extension for reading a file backwards by lines
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
This module reads a file backwards line by line. It is simple to use,
memory efficient and fast. It supports both an object and a tied handle
interface.

It is intended for processing log and other similar text files which
typically have their newest entries appended to them. By default files are
assumed to be plain text and have a line ending appropriate to the OS. But
you can set the input record separator string on a per file basis.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.60.0-3.mga10
+ Revision: 2207075
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 1.60.0-2.mga9
+ Revision: 1814415
- Mageia 9 Mass Rebuild

* Wed Apr 28 2021 tv <tv> 1.60.0-1.mga9
+ Revision: 1720209
- update to 1.06

* Wed Feb 12 2020 umeabot <umeabot> 1.50.0-10.mga8
+ Revision: 1494509
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.50.0-9.mga7
+ Revision: 1268160
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.50.0-8.mga6
+ Revision: 1027490
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.50.0-7.mga6
+ Revision: 949160
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 1.50.0-6.mga5
+ Revision: 789236
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.50.0-5.mga5
+ Revision: 738998
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.50.0-4.mga5
+ Revision: 684755
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.50.0-3.mga4
+ Revision: 511584
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.50.0-2.mga3
+ Revision: 367337
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 15 2011 jquelin <jquelin> 1.50.0-1.mga2
+ Revision: 106960
- update to 1.05

* Tue Jan 18 2011 jquelin <jquelin> 1.40.0-2.mga1
+ Revision: 22425
- cleaning spec file
- imported package perl-File-ReadBackwards


* Sat Dec 25 2010 Shlomi Fish <shlomif@mandriva.org> 1.40.0-2mdv2011.0
+ Revision: 624745
- Add a summary
- import perl-File-ReadBackwards

